import type { FileMetadata } from "./FileMetadata";
import type { FilePathDefinition } from "./FilePathDefinition";
import type { FileTagName } from "./FileTagName";
import type { MimeType } from "./MimeType";
import type { OriginalFileName } from "./OriginalFileName";
import type { SizeInBytes } from "./SizeInBytes";
/**
 * Request body for initiating a multipart file upload.
 *
 * See also: basic file uploads.
 */
export declare type BeginUploadRequestV2 = {
    metadata?: FileMetadata;
    mime?: MimeType;
    originalFileName?: OriginalFileName;
    path?: FilePathDefinition;
    size: SizeInBytes;
    tags?: Array<FileTagName>;
};
