import type { AccountId } from "./AccountId";
import type { AccountJobId } from "./AccountJobId";
import type { AccountJobStatus } from "./AccountJobStatus";
import type { AccountJobType } from "./AccountJobType";
import type { EpochMillis } from "./EpochMillis";
import type { JsonObject } from "./JsonObject";
/**
 * Summary information about an asynchronous background job (for example, a folder deletion).
 */
export declare type JobSummary = {
    accountId: AccountId;
    attempts: number;
    created: EpochMillis;
    error: {
        /**
         * Human-readable error message.
         */
        message: string;
        /**
         * Additional machine-readable details relating to the error.
         */
        details?: any;
        /**
         * Machine-readable error code.
         */
        code: string;
    } | null;
    jobId: AccountJobId;
    jobType: AccountJobType;
    lastUpdated: EpochMillis;
    payload: JsonObject;
    status: AccountJobStatus;
};
