/**
 * Specifies the level in the file tree, relative to the current path, that these permissions apply.
 *
 * - `"This"`: Permissions apply to the current path only.
 *
 * - `"Children"`: Permissions apply to the children (files and folders) of this path only.
 *
 * - `"Grandchildren+"`: Permissions apply to the grandchildren (files and folders) of this path and their descendants only.
 */
export declare type PathPermissionScope = "This" | "Children" | "Grandchildren+";
