import type { EpochMillis } from "./EpochMillis";
import type { FileMetadata } from "./FileMetadata";
import type { FilePath } from "./FilePath";
import type { FileTagName } from "./FileTagName";
import type { MimeType } from "./MimeType";
import type { OriginalFileName } from "./OriginalFileName";
import type { RawFileUrl } from "./RawFileUrl";
import type { SizeInBytes } from "./SizeInBytes";
/**
 * From T, pick a set of properties whose keys are in the union K
 */
export declare type Pick_FileSummaryV2_Exclude_keyofFileSummaryV2_type__ = {
    metadata: FileMetadata;
    mime: MimeType;
    originalFileName: OriginalFileName | null;
    tags: Array<FileTagName>;
    filePath: FilePath;
    fileUrl: RawFileUrl;
    lastModified: EpochMillis;
    size: SizeInBytes;
};
