import type { PreSignedUploadUrl } from "./PreSignedUploadUrl";
import type { UploadId } from "./UploadId";
import type { UploadPartIndex } from "./UploadPartIndex";
import type { UploadPartRange } from "./UploadPartRange";
/**
 * Represents a part of a file to be uploaded as part of a multipart file upload.
 *
 * Specifies the 'range' of the file that needs uploading, together with an 'uploadUrl' of where to PUT those bytes to.
 *
 * See: basic file uploads, multipart file uploads.
 */
export declare type UploadPartV2 = {
    range: UploadPartRange;
    uploadId: UploadId;
    uploadPartIndex: UploadPartIndex;
    uploadUrl: PreSignedUploadUrl;
};
