/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { EpochMillis } from "./EpochMillis";
import type { FileMetadata } from "./FileMetadata";
import type { FilePath } from "./FilePath";
import type { FileTagName } from "./FileTagName";
import type { MimeType } from "./MimeType";
import type { OriginalFileName } from "./OriginalFileName";
import type { RawFileUrl } from "./RawFileUrl";
import type { SizeInBytes } from "./SizeInBytes";

/**
 * Contains full information about a file, including its file metadata, file tags, original file name, and MIME type.
 */
export type FileDetails = {
  metadata: FileMetadata;
  mime: MimeType;
  originalFileName: OriginalFileName | null;
  tags: Array<FileTagName>;
  filePath: FilePath;
  fileUrl: RawFileUrl;
  lastModified: EpochMillis;
  size: SizeInBytes;
};
